# Copyright (c) 2019, InfluxFrameworkand Contributors
# License: GNU General Public License v3. See license.txt

import influxframework

from influxerp.regional.united_arab_emirates.setup import setup


def execute():
	company = influxframework.get_all("Company", filters={"country": "United Arab Emirates"})
	if not company:
		return

	influxframework.reload_doc("regional", "report", "uae_vat_201")
	influxframework.reload_doc("regional", "doctype", "uae_vat_settings")
	influxframework.reload_doc("regional", "doctype", "uae_vat_account")

	setup()
